=== src/lib/libffmpeg/libavutil/x86/Makefile ===
OBJS += x86/cpu.o                                                       \
        x86/float_dsp_init.o                                            \
        x86/lls_init.o                                                  \

OBJS-$(CONFIG_PIXELUTILS) += x86/pixelutils_init.o                      \

YASM-OBJS += x86/cpuid.o                                                \
             x86/emms.o                                                 \
             x86/float_dsp.o                                            \
             x86/lls.o                                                  \

YASM-OBJS-$(CONFIG_PIXELUTILS) += x86/pixelutils.o                      \
