=== debian/changelog ===
vice (3.5.0.dfsg-3) unstable; urgency=medium

  * Add upstream metadata.
  * Update homepage location.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Feb 2021 17:15:33 +0100

vice (3.5.0.dfsg-2) unstable; urgency=medium

  * Remove man page symlinks, man page no longer available (closes: 978554).
  * Remove ROM placeholder files.
  * Update install paths in vice-getroms (closes: #926114).
  * Do not auto compress PDF documentation (closes: #968499).
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 Dec 2020 12:11:37 +0100

vice (3.5.0.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Revert non-free linenoise-ng usage to readline.
  * Update packaging bits.
  * Update debhelper level to 13 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Dec 2020 08:03:02 +0100

vice (3.4.0.dfsg-3) unstable; urgency=medium

  * Build with GTK 3 (closes: #967794).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Aug 2020 21:54:31 +0200

vice (3.4.0.dfsg-2) unstable; urgency=medium

  * Backport upstream fix for GCC 10 -fno-common FTBFS (closes: #966193).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Jul 2020 19:17:59 +0200
