=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg// \
https://sf.net/vice-emu/vice-v?(\d\S+)@ARCHIVE_EXT@
